Generate Diff Service Mesh

Generate Diff Service Mesh
Generate diff for service mesh.

Generate diff service mesh.

Request
URI
POST
https://{server}/hybridity/api/interconnect/serviceMesh/{serviceMeshId}/generateDiff
COPY
Path Parameters
string
serviceMeshId
Required

ServiceMesh ID


Request Body

ServiceMesh as request body.

serviceMesh of type(s) application/json
Required

Show optional properties

{
    "name": "string",
    "services": [
        {
            "name": "string"
        }
    ],
    "computeProfiles": [
        {}
    ]
}
{
    "serviceMeshId": "string",
    "name": "string",
    "isLocalMesh": false,
    "orchestratorInfo": {
        "type": "string",
        "info": {
            "srcSiteId": "string",
            "dstSiteId": "string",
            "mobilityMeshId": "string"
        }
    },
    "updateAvailable": false,
    "switchPairCount": [
        {
            "switches": [
                {
                    "cmpId": "string",
                    "id": "string",
                    "type": "string",
                    "name": "string",
                    "maxMtu": "number",
                    "l2cApplianceCount": "number",
                    "host": {
                        "id": "string",
                        "name": "string"
                    },
                    "status": {
                        "state": "string",
                        "errorMessage": "string"
                    }
                }
            ],
            "l2cApplianceCount": "number"
        }
    ],
    "wanoptConfig": {
        "uplinkMaxBandwidth": "number"
    },
    "services": [
        {
            "name": "string"
        }
    ],
    "computeProfiles": [
        {
            "endpointId": "string",
            "endpointName": "string",
            "computeProfileId": "string",
            "computeProfileName": "string",
            "locationType": "string",
            "smConsumptionInGB": 0,
            "overriddenUplink": false,
            "isInitiator": false,
            "networks": [
                {
                    "id": "string",
                    "name": "string",
                    "overriddenMtu": 0,
                    "tags": [
                        "string"
                    ]
                }
            ]
        }
    ],
    "trafficEnggCfg": {
        "isAppPathResiliencyEnabled": false,
        "isTcpFlowConditioningEnabled": false,
        "isEncryptionlessTunnelEnabledForMigration": false,
        "isEncryptionlessTunnelEnabledForNE": false,
        "groEnabled": false
    }
}
string
serviceMeshId
Optional

serviceMeshId

string
name
Required

name

boolean
isLocalMesh
Optional

isLocalMesh

object
orchestratorInfo
Optional

orchestratorInfo

boolean
updateAvailable
Optional

updateAvailable

array of object
switchPairCount
Optional
Constraints: minItems: 1

switchPairCount

object
wanoptConfig
Optional

wanoptConfig

array of object
services
Required
Constraints: minItems: 1

services

array of object
computeProfiles
Required
Constraints: minItems: 1

computeProfiles

object
trafficEnggCfg
Optional

Service Mesh traffic engineering configuration options.

Authentication
This operation uses the following authentication methods.
Responses
202

Accepted

Returns serviceMeshPostResponse of type(s) application/json
{
    "data": {
        "interconnectTaskId": "string",
        "serviceMeshId": "string"
    },
    "warnings": [
        {
            "message": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
object
data
Optional

data

array of object
warnings
Optional

warnings

array of object
errors
Optional

errors


400

Bad Request

Operation doesn't return any data structure

401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

404

Not Found

Operation doesn't return any data structure

422

Unprocessable Entity

Returns serviceMeshPostResponse of type(s) application/json
{
    "data": {
        "interconnectTaskId": "string",
        "serviceMeshId": "string"
    },
    "warnings": [
        {
            "message": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
object
data
Optional

data

array of object
warnings
Optional

warnings

array of object
errors
Optional

errors


500

Internal Server Error

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"name":"string","services":["object"],"computeProfiles":["object"]}' https://{api_host}/hybridity/api/interconnect/serviceMesh/{serviceMeshId}/generateDiff